//
// currency.cpp
// Bruno Heidelberger <heidelberger@inf.ethz.ch>
// 19. Jan. 2004
//

#include <string.h>
#include "currency.h"

// constructor without parameters
Currency::Currency()
{
  _amount = 0.0;
  _rate = 1.0;
  _name[0] = 0;
  _longname = new char[1];
  _longname[0] = '\0';
}

// constructor with parameters
Currency::Currency(char *name, char *longname, double amount = 0.0, double rate = 1.0)
{
  _amount = amount;
  _rate = rate;
  strcpy(_name, name);
  _longname = new char[strlen(longname) + 1];
  strcpy(_longname, longname);
}

// destructor
Currency::~Currency()
{
  delete [] _longname;
}

// member function
double Currency::calculateCHF() const
{
  return _amount / _rate;
}

// operator
Currency::operator double() const
{
  return _amount / _rate;
}

